package com.nmgs.mapper;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import com.nmgs.entity.ServiceArea;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface ServiceAreaMapper extends MppBaseMapper<ServiceArea> {
    /**
     * 分页查找岗位数据
     * @param page
     * @param params
     * @return
     */
    Page<ServiceArea> getServiceAreaList(Page<ServiceArea> page, @Param("params") Map<String, Object> params);

    /**
     * 获取最大id
     * @return
     */
    Integer getMaxId();

    /**
     *获取服务区类型数据
     * @return
     */
    List<Map<String,Object>> selectServiceTypeList();

    /**
     *获取服务区服务种类数据
     * @return
     */
    List<Map<String,Object>> selectServiceKindList();

    /**
     * 根据日期获取服务器核销次数前五
     * @param params
     * @return
     */
    List<Map<String, Object>> getServiceAreaCafCount(@Param("params") Map<String, Object> params);
    /**
     * 根据日期获取服务器积分消费排名
     * @param params
     * @return
     */
    List<Map<String, Object>> getServiceAreaCafTotal(@Param("params")Map<String, Object> params);

    /**
     * 服务器积分消费占比
     * @param params
     * @return
     */
    List<Map<String, Object>> getServiceAreaFee(@Param("params")Map<String, Object> params);
}
